Loading...
Searching...
No Matches
CPU related functions
Utility Functions
Collaboration diagram for CPU related functions:

## Functions

int | l4util_cpu_has_cpuid (void)
| Check whether the CPU supports the "cpuid" instruction.
unsigned int | l4util_cpu_capabilities (void)
| Returns the CPU capabilities if the "cpuid" instruction is available.
unsigned int | l4util_cpu_capabilities_nocheck (void)
| Returns the CPU capabilities.
void | l4util_cpu_cpuid (unsigned long mode, unsigned long *eax, unsigned long *ebx, unsigned long *ecx, unsigned long *edx)
| Generic CPUID access function.

## Detailed Description

## Function Documentation

## l4util_cpu_capabilities()

unsigned int l4util_cpu_capabilities | ( | void |  | ) |

inline

Returns the CPU capabilities if the "cpuid" instruction is available.

Returns
  CPU capabilities if the "cpuid" instruction is available, 0 if the "cpuid" instruction is not supported.

Definition at line 95 of file cpu.h.

References l4util_cpu_capabilities_nocheck(), and l4util_cpu_has_cpuid().

Here is the call graph for this function:

## l4util_cpu_capabilities_nocheck()

unsigned int l4util_cpu_capabilities_nocheck | ( | void |  | ) |

inline

Returns the CPU capabilities.

Returns
  CPU capabilities.

Definition at line 84 of file cpu.h.

References l4util_cpu_cpuid().

Referenced by l4util_cpu_capabilities().

Here is the call graph for this function:
Here is the caller graph for this function:

## l4util_cpu_has_cpuid()

int l4util_cpu_has_cpuid | ( | void |  | ) |

inline

Check whether the CPU supports the "cpuid" instruction.

Returns
  1 if it has, 0 if it has not

Definition at line 64 of file cpu.h.

Referenced by l4util_cpu_capabilities().

Here is the caller graph for this function: